## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%undefine __cmake_in_source_build

%global sdkver 1.3.231.1

Name:           spirv-tools
Version:        2022.2
Release:        %autorelease
Summary:        API and commands for processing SPIR-V modules

License:        ASL 2.0
URL:            https://github.com/KhronosGroup/SPIRV-Tools
Source0:        %url/archive/sdk-%{sdkver}.tar.gz#/SPIRV-Tools-sdk-%{sdkver}.tar.gz

Patch0: fix-gcc12-build.patch

BuildRequires:  cmake3
BuildRequires:  gcc-c++
BuildRequires:  ninja-build
%if 0%{?rhel} == 7
BuildRequires:  python36-devel
%else
BuildRequires:  python3-devel
%endif
BuildRequires:  python3-rpm-macros
BuildRequires:  spirv-headers-devel
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description
The package includes an assembler, binary module parser,
disassembler, and validator for SPIR-V..

%package        libs
Summary:        Library files for %{name}
Provides:       %{name}-libs%{?_isa} = %{version}

%description    libs
library files for %{name}

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description    devel
Development files for %{name}

%prep
%autosetup -p1 -n SPIRV-Tools-sdk-%{sdkver}

%build
%cmake3 -DCMAKE_BUILD_TYPE=Release \
        -DCMAKE_INSTALL_LIBDIR=%{_lib} \
        -DSPIRV-Headers_SOURCE_DIR=%{_prefix} \
        -DPYTHON_EXECUTABLE=%{__python3} \
        -DSPIRV_TOOLS_BUILD_STATIC=OFF \
        -GNinja
%cmake3_build

%install
%cmake3_install

%ldconfig_scriptlets libs

%files
%license LICENSE
%doc README.md CHANGES
%{_bindir}/spirv-as
%{_bindir}/spirv-cfg
%{_bindir}/spirv-dis
%{_bindir}/spirv-lesspipe.sh
%{_bindir}/spirv-link
%{_bindir}/spirv-lint
%{_bindir}/spirv-opt
%{_bindir}/spirv-reduce
%{_bindir}/spirv-val

%files libs
%{_libdir}/libSPIRV-Tools-diff.so
%{_libdir}/libSPIRV-Tools-link.so
%{_libdir}/libSPIRV-Tools-lint.so
%{_libdir}/libSPIRV-Tools-opt.so
%{_libdir}/libSPIRV-Tools.so
%{_libdir}/libSPIRV-Tools-reduce.so
%{_libdir}/libSPIRV-Tools-shared.so

%files devel
%{_includedir}/spirv-tools/
%{_libdir}/cmake/*
%{_libdir}/pkgconfig/SPIRV-Tools-shared.pc
%{_libdir}/pkgconfig/SPIRV-Tools.pc

%changelog
* Wed Nov 09 2022 Dave Airlie <airlied@redhat.com> 2022.2-6
- update spirv-tools to 1.3.231.1 sdk

* Wed Aug 24 2022 Dave Airlie <airlied@redhat.com> 2022.2-5
- Rebase to 1.3.224 SDK Version

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> 2022.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jun 16 2022 Dave Airlie <airlied@redhat.com> 2022.2-3
- Rebase to 1.3.216 SDK Version

* Wed Apr 27 2022 Dave Airlie <airlied@redhat.com> 2022.2-2
- Add new diff shared library.

* Wed Apr 27 2022 Dave Airlie <airlied@redhat.com> 2022.2-1
- Rebase to 1.3.211 SDK Version

* Tue Feb 15 2022 Dave Airlie <airlied@redhat.com> 2022.1-3
- fix the fix.

* Tue Feb 15 2022 Dave Airlie <airlied@redhat.com> 2022.1-2
- fix gcc12 build

* Tue Feb 15 2022 Dave Airlie <airlied@redhat.com> 2022.1-1
- Rebase to 1.3.204 SDK Version

* Sat Jan 29 2022 Jan Grulich <jgrulich@redhat.com> 2021.4-5
- Fix endianness of string literals

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 2021.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Dec 09 2021 Dave Airlie <airlied@redhat.com> 2021.4-3
- retain compat with both ABIs

* Mon Dec 06 2021 Dave Airlie <airlied@redhat.com> 2021.4-2
- Restore previous ABI

* Tue Nov 23 2021 Dave Airlie <airlied@redhat.com> 2021.4-1
- Update to 1.2.198.0 SDK Version

* Tue Nov 23 2021 Dave Airlie <airlied@redhat.com> 2021.3-4
- Update to 1.2.198.0 SDK Version

* Tue Sep 07 2021 Dave Airlie <airlied@redhat.com> 2021.3-3
- Update to 1.2.189.0 SDK Version

* Tue Sep 07 2021 Dave Airlie <airlied@redhat.com> 2021.3-2
- Update to 1.2.189.0 SDK Version

* Tue Sep 07 2021 Dave Airlie <airlied@redhat.com> 2021.3-1
- Update to 1.2.189.0 SDK Version

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 2021.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jul 06 2021 Dave Airlie <airlied@redhat.com> 2021.2-1
- Update to 1.2.182.0 SDK Version

* Tue May 18 2021 Dave Airlie <airlied@redhat.com> 2021.1-1
- Update to 1.2.176.1 SDK version

* Thu Jan 28 2021 Dave Airlie <airlied@redhat.com> 2020.5-10
- Update to 1.2.162.0 SDK version

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> 2020.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Dec 05 2020 Jeff Law <law@redhat.com> 2020.5-8
- Fix undesirable strncpy call to instead use memcpy to avoid gcc-11
  diagnostic

* Tue Nov 03 2020 Dave Airlie <airlied@redhat.com> 2020.5-7
- spirv-tools fix whitespace

* Tue Nov 03 2020 Dave Airlie <airlied@redhat.com> 2020.5-6
- fixup latest spirv-tools build

* Mon Nov 02 2020 Dave Airlie <airlied@redhat.com> 2020.5-4
- update to latest spirv-tools

* Tue Aug 04 2020 Dave Airlie <airlied@redhat.com> 2020.5-3
- spirv-tools: just revert upstream problem

* Tue Aug 04 2020 Dave Airlie <airlied@redhat.com> 2020.5-2
- fix spirv-tools shared library name

* Tue Aug 04 2020 Dave Airlie <airlied@redhat.com> 2020.5-1
- try and fix shared spirv-tools libraries

* Tue Aug 04 2020 Dave Airlie <airlied@redhat.com> 2019.5-7
- update to latest spirv-tools

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> 2019.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 08 2020 Igor Raits <ignatenkobrain@fedoraproject.org> 2019.5-5
- Improve compatibility with new CMake macro

* Wed Apr 22 2020 Dave Airlie <airlied@redhat.com> 2019.5-4
- git snapshot for newer glslang/validation layers

* Tue Jan 28 2020 Dave Airlie <airlied@redhat.com> 2019.5-3
- drop unneeded patch

* Tue Jan 28 2020 Dave Airlie <airlied@redhat.com> 2019.5-1
- git snapshot for newer glslang/validation layers

* Tue Nov 12 2019 Dave Airlie <airlied@redhat.com> 2019.4-5
- add unused cmake files

* Tue Nov 12 2019 Dave Airlie <airlied@redhat.com> 2019.4-4
- nuke unused cmake files for now

* Tue Nov 12 2019 Dave Airlie <airlied@redhat.com> 2019.4-3
- git snapshot for newer glslang/validation layers

* Fri Aug 02 2019 Dave Airlie <airlied@redhat.com> 2019.4-2
- git snapshot to let newer vulkan validation layers build stats removed
  upstream

* Thu Aug 01 2019 Dave Airlie <airlied@redhat.com> 2019.4-1
- git snapshot to let newer vulkan validation layers build

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> 2019.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Jun 10 2019 Robert-André Mauchin <zebob.m@gmail.com> 2019.3-1
- Release 2019.3

* Wed Mar 06 2019 Dave Airlie <airlied@redhat.com> 2019.1-4
- Add patch to let vulkan-validation-layers build

* Wed Feb 20 2019 Michael Cronenworth <mike@cchtml.com> 2019.1-3
- Add EPEL 7 support

* Mon Feb 04 2019 Dave Airlie <airlied@redhat.com> 2019.1-2
- fix compilation

* Mon Feb 04 2019 Dave Airlie <airlied@redhat.com> 2019.1-1
- Update to 2019.1 release

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> 2018.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Sep 18 2018 Adam Jackson <ajax@redhat.com> 2018.4-3
- BuildRequires: python3-devel for RHEL compatibility

* Mon Jul 23 2018 leigh123linux <leigh123linux@googlemail.com> 2018.4-2
- Add Br python3-rpm-macros

* Mon Jul 23 2018 leigh123linux <leigh123linux@googlemail.com> 2018.4-1
- Update to 2018.4 release

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> 2018.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Jun 25 2018 Dave Airlie <airlied@redhat.com> 2018.3.0-3
- drop python specifier

* Mon Jun 25 2018 Dave Airlie <airlied@redhat.com> 2018.3.0-2
- Move to python3 and drop the simplejson buildreq.

* Tue Apr 24 2018 leigh123linux <leigh123linux@googlemail.com> 2018.3.0-1
- Bump version to 2018.3.0 to match .pc files

* Tue Apr 24 2018 leigh123linux <leigh123linux@googlemail.com> 2018.1-4
- Bump provides to 2018.3.0

* Tue Apr 24 2018 leigh123linux <leigh123linux@googlemail.com> 2018.1-3
- Update for vulkan 1.1.73.0

* Wed Feb 14 2018 leigh123linux <leigh123linux@googlemail.com> 2018.1-2
- Add isa to the provides

* Sat Feb 10 2018 leigh123linux <leigh123linux@googlemail.com> 2018.1-1
- Fix version

* Fri Feb 09 2018 leigh123linux <leigh123linux@googlemail.com> 2016.7-8
- Fix pkgconfig file

* Fri Feb 09 2018 leigh123linux <leigh123linux@googlemail.com> 2016.7-7
- Split libs into -libs subpackage

* Fri Feb 09 2018 leigh123linux <leigh123linux@googlemail.com> 2016.7-6
- Update for vulkan 1.0.68.0

* Fri Feb 09 2018 leigh123linux <leigh123linux@googlemail.com> 2016.7-5
- Use ninja to build

* Mon Jan 22 2018 leigh123linux <leigh123linux@googlemail.com> 2016.7-4
- Add python prefix to fix the stupid Bodhi tests

* Tue Jan 09 2018 leigh123linux <leigh123linux@googlemail.com> 2016.7-3
- add prefix for python-simplejson

* Wed Jan 03 2018 leigh123linux <leigh123linux@googlemail.com> 2016.7-2
- Split binaries into main package

* Tue Jan 02 2018 leigh123linux <leigh123linux@googlemail.com> 2016.7-1
- First build
